//
//  GSLayer_Drawing.h
//  Glyphs
//
//  Created by Georg Seifert on 21.09.10.
//  Copyright 2010 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlyphsCore/GSLayer.h>

@interface GSLayer (Drawing)

- (void)drawInFrame:(NSRect)Frame;
- (void)drawInFrame:(NSRect)Frame color:(NSColor *)Color;
- (void)drawInFrame:(NSRect)Frame color:(NSColor *)Color metrics:(GSGlyphMetrics)Metrics NS_DEPRECATED_MAC(10_0, 10_0);;
- (void)drawInFrame:(NSRect)Frame color:(NSColor *)Color metrics:(GSGlyphMetrics)Metrics inView:(NSView*)view;
@end
